weixin_41939424
weixin_41939424
采纳率25%
2019-03-21 11:30 阅读 2.2k

maven已自动下载依赖的jar包,但是项目仍然报错,更新也不管用怎么办

图片说明
图片说明

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享

1条回答 默认 最新

  • qq_39172866 qq_39172866 2019-03-21 11:36

    当出现下面的问题,是因为 maven 更新失败,有两种办法解决。

    办法一、根据你miss 的文件 提供的目录找到对应的文件夹,你会发现里面有些 后缀为 .lastupdated 文件将他删除掉,再到 eclipse中 使用 maven → update Poject 再次更新。就可以解决。

    如果miss文件很多把 我写的jar 文件放到 maven 库的根目录下,然后双击运行,就可以删除所有 后缀为 lastupdated的所有文件。(下载地址:https://pan.baidu.com/s/1mhSY61a)

    办法二、由于网络问题更新失败,是在没办法,找到你miss 的目录下,看看里面是否还有其他版本,然后将pom.xml 文件里的 版本号修改为 已经有的其他版本号。就ok。

    作者:狂野小青年
    来源:CSDN
    原文:https://blog.csdn.net/veloi/article/details/73365387
    版权声明:本文为博主原创文章,转载请附上博文链接!

    点赞 评论 复制链接分享

相关推荐